Update a page
PUT
/pages/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idstringrequiredPage ID or slug
Request body
requiredapplication/jsontitlestringslugstringdescriptionstringformatstringbodystringvisiblebooleanResponses
200Page updated
_linksHalLinksidintegershop_idintegertitlestringslugstringbodystringdescriptionstringvisiblebooleanformatstringcreated_onstring<date-time>updated_onstring<date-time>Request
curl -X PUT "https://api.onbolder.com/v2/pages/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"title": "string",
"slug": "string",
"description": "string",
"format": "string",
"body": "string",
"visible": true
}'const response = await fetch("https://api.onbolder.com/v2/pages/string", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"title": "string",
"slug": "string",
"description": "string",
"format": "string",
"body": "string",
"visible": true
})
});import requests
response = requests.put(
"https://api.onbolder.com/v2/pages/string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"title": "string",
"slug": "string",
"description": "string",
"format": "string",
"body": "string",
"visible": True
},
)Response
{
"_links": {
"property1": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
},
"property2": {
"href": "string",
"templated": true,
"method": "get",
"title": "string",
"type": "string"
}
},
"id": 0,
"shop_id": 0,
"title": "string",
"slug": "string",
"body": "string",
"description": "string",
"visible": true,
"format": "string",
"created_on": "2019-08-24T14:15:22Z",
"updated_on": "2019-08-24T14:15:22Z"
}